import { css } from '@microsoft/fast-element';
/**
 * The Chart styles.
 * @public
 */
export const foundationChartStyles = css `
  :host {
    --datasource-error-background-color: var(--neutral-layer-4);
    --datasource-error-background-opacity: 0.5;
    --datasource-error-dialog-max-width: 50%;

    position: relative;
    width: 100%;
    height: 100%;
  }

  .hidden {
    display: none;
  }

  :host::part(chart-container) {
    z-index: 1;
  }

  :host::part(chart-datasource-error) {
    z-index: 2;
  }

  :host::part(chart-datasource-error)::before {
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    height: 100%;
    width: 100%;
    border-radius: 2px;
    background-color: var(--datasource-error-background-color);
    opacity: var(--datasource-error-background-opacity);
    z-index: 1;
  }
`;
