import { html, ref } from '@microsoft/fast-element';
import { chartErrorNames } from './chart.definitions';
/**
 * The g2lot chart template.
 * @param prefix - The design system prefix to use. Defaults to 'foundation'.
 * @returns A g2plot chart template prefixed with the correct design system.
 * @public
 */
export const g2plotChartTemplate = html `
  <slot
    name="chart-datasource-error"
    class="${(x) => x.errorItems.some(({ type }) => type === chartErrorNames.datasource) ? '' : 'hidden'}"
  ></slot>
  <div style="height: 100%" ${ref('chartContainer')} part="chart-container"></div>
`;
