import { G2 } from '@antv/g2plot';
const sliceNumber = 0.01;
/**
 * Register the Rapid Design System G2Plot shape
 * @internal
 */
export const registerRapidShape = () => {
    G2.registerShape('interval', 'rapid-shape', {
        draw(cfg, container) {
            const points = cfg.points;
            let path = [];
            path.push(['M', points[0].x, points[0].y]);
            path.push(['L', points[1].x, points[1].y - sliceNumber]);
            path.push(['L', points[2].x, points[2].y - sliceNumber]);
            path.push(['L', points[3].x, points[3].y]);
            path.push('Z');
            path = this.parsePath(path);
            return container.addShape('path', {
                attrs: {
                    fill: cfg.color,
                    fillOpacity: 0.5,
                    stroke: cfg.color,
                    lineWidth: 3,
                    path,
                },
            });
        },
    });
};
